## syrthes 3.4.3

=== bin/Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 
 SHELL   = /bin/sh
 
-VERSION = "3.4.2"
+VERSION = "3.4.3"
 
 
 # Project configuration macros
