=== src/util/convert2syrthes/Makefile ===
CFLAGS=-O
SOURCES=ecriture_syr.c lecture_neu.c lecture_msh.c lecture_med.c convert2syrthes.c
INCMED=-I/home/saturne/opt/med-2.3.4/arch/Linux_x86_64/include
INCLUDE=-I.
LIBMED=-L/home/saturne/opt/med-2.3.4/arch/Linux_x86_64/lib -L/home/saturne/opt/hdf5-1.6.7/arch/Linux_x86_64/lib -lmedC -L.

MED=no

ifeq ($(MED),yes)
        CFLAGS += -DMED
        LIBS += $(LIBMED)
	INCLUDE += $(INCMED)
	MESS="Compilation with MED"
else
	MESS="Compilation without MED"
endif

exe :
	@echo $(MESS)
	cc  -o convert2syrthes $(CFLAGS) $(INCLUDE) $(LIBS) $(SOURCES)
