=== debian/control ===
Source: syrthes
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gilles Filippini <pini@debian.org>
Build-Depends: debhelper (>= 7.0.50~), gfortran, libmedc-dev, libhdf5-mpi-dev
Standards-Version: 3.9.3
Homepage: http://rd.edf.com/syrthes
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/syrthes.git;a=summary
Vcs-Git: git://git.debian.org/git/debian-science/packages/libgarmin.git

Package: syrthes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gfortran
Description: Transient thermal simulations in complex solid geometries
 SYRTHES is a general purpose thermal software developed at EDF R&D which
 models conduction and radiation heat transfers in complex geometries.
 .
 SYRTHES can be used coupled with the computational fluid dynamics (CFD)
 Code_Saturne.
