=== debian/watch ===
version=3
# syrthes upstream archives can't be watched using uscan.
# I download the archive by hand and apply the script debian/orig-tar.sh the
# same way uscan would have:
# debian/orig-tar.sh --upstream-version <version> <archive>
