## syrthes 4.1.1

=== src/syrthes-kernel/src/Makefile ===


include ../../Makefile.in

#-------------------------------------------------------------------
VPATH = $(INC_SYRTHES) $(INC_SYRTHES_BIBMAT)

BUILD=$(SYRTHES4_HOME)/build/
$(shell mkdir -p $(BUILD))


OBJ=$(patsubst %.c, $(BUILD)/%.o, $(wildcard *.c))


lib : $(OBJ)
	ar rv $(LIB_SYRTHES) $(BUILD)/*.o
#	rm -rf $(BUILD)


$(BUILD)/%.o : %.c
	$(CC) -c $(COPTIM) $(CFLAG) $(INC_SYRTHES) $(INC_SYRTHES_BIBMAT) $(INC) $? -o $@


clean:
	rm -rf $(BUILD)/*.o

realclean:
	rm -rf $(BUILD) ; rm -f $(LIB_SYRTHES)
