=== src/syrthes-pp/src/Makefile ===
SHELL = /bin/sh

include ../../Makefile.in

#-------------------------------------------------------------------
VPATH = $(INC_PPSYR)

BUILD=$(SYRTHES4_HOME)/build/
#$(shell mkdir -p $(BUILD))


OBJ=$(patsubst %.c, $(BUILD)/%.o, $(wildcard *.c))

ifeq ($(PART_METIS),yes) 
     FLAG_PART += -D_METIS_
endif

ifeq ($(PART_SCOTCH),yes) 
     FLAG_PART += -D_SCOTCH_
endif


a.out: $(OBJ)
	$(FRONT_CC) -o $(PPSYR) $(COPTIM) $(LDFLAG) $(BUILD)/*.o  $(LIBMETIS) $(LIBSCOTCH) -lm
#	rm -rf $(BUILD)



$(BUILD)/%.o : %.c
	$(FRONT_CC) -c $(CFLAG) $(COPTIM) $(FLAG_PART) $(INC_PPSYR) $(INC_METIS) $(INC_SCOTCH) $< -o $@


clean:
	rm -rf $(BUILD)/*.o

realclean:
	rm -rf $(BUILD) ; rm -f $(PPSYR)
