## syrthes 4.1.1-dfsg1

=== debian/changelog ===
syrthes (4.1.1-dfsg1-5) unstable; urgency=medium

  * Disable libsyrthes_cfd on s390x where openmpi isn't available.

 -- Gilles Filippini <pini@debian.org>  Wed, 24 Sep 2014 00:18:03 +0200

syrthes (4.1.1-dfsg1-4) unstable; urgency=medium

  * Enable libsyrthes_cfd to allow coupling with code-saturne. It needs
    libple develoment files provided by code-saturne-bin and
    code-saturne-include.
  * Add code-saturne to syrthes's Suggests field.
  * Install syrthes-tools binaries into SYRTHES4_HOME/bin, because
    syrthes-gui expects to find them there. Add symlinks to have them
    into /usr/bin as well.

  * Bump Standards-Version to 3.9.6 (no change).
  * Upload to unstable.

 -- Gilles Filippini <pini@debian.org>  Mon, 22 Sep 2014 11:35:40 +0200

syrthes (4.1.1-dfsg1-3) experimental; urgency=medium

  * Fix setup.patch to support the hdf5 1.8.13 new packaging layout.

 -- Gilles Filippini <pini@debian.org>  Wed, 30 Jul 2014 20:16:50 +0200

syrthes (4.1.1-dfsg1-2) experimental; urgency=medium

  * d/rules: display ERREUR.log in case of installation failure.
  * New patch Wformat.patch: fix printf format warnings causing false
    positives in ERREUR.log.

 -- Gilles Filippini <pini@debian.org>  Sun, 16 Mar 2014 23:53:04 +0100

syrthes (4.1.1-dfsg1-1) experimental; urgency=low

  * New upstream release.
  * New binary packages:
    * syrthes-tools (pre/post-processors, converters)
    * syrthes-gui (new GUI writen in python)
    * syrthes-tests (test cases).

  * New manpages for the new upstream tools.

 -- Gilles Filippini <pini@debian.org>  Thu, 23 Jan 2014 15:30:55 +0100
