=== debian/control ===
Source: syrthes
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gilles Filippini <pini@debian.org>
Build-Depends: debhelper (>= 9~), python, libmedc-dev, libhdf5-mpi-dev, libmetis-dev, libscotch-dev,
 pyqt4-dev-tools, python-qwt5-qt4, code-saturne-bin [!s390x], code-saturne-include [!s390x]
Standards-Version: 3.9.6
Homepage: http://rd.edf.com/syrthes
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/syrthes.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/syrthes.git

Package: syrthes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, gcc, make
Recommends: syrthes-tools
Suggests: syrthes-gui, syrthes-tests, code-saturne
Description: Transient thermal simulations in complex solid geometries
 SYRTHES is a general purpose thermal software developed at EDF R&D which
 models conduction and radiation heat transfers in complex geometries.
 .
 SYRTHES can be used coupled with the computational fluid dynamics (CFD)
 Code_Saturne.

Package: syrthes-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, syrthes (>= 4.1.1~)
Description: Transient thermal simulations in complex solid geometries - tools
 SYRTHES is a general purpose thermal software developed at EDF R&D which
 models conduction and radiation heat transfers in complex geometries.
 .
 This package contains SYRTHES pre and post-processors, and tools for
 creating new SYRTHES cases, converting mesh files to SYRTHES, or converting
 SYRTHES files to MED or Ensight formats.

Package: syrthes-gui
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-qwt5-qt4, syrthes (>= 4.1.1~)
Description: Transient thermal simulations in complex solid geometries - GUI
 SYRTHES is a general purpose thermal software developed at EDF R&D which
 models conduction and radiation heat transfers in complex geometries.
 .
 This package contains a graphical user interface for SYRTHES.

Package: syrthes-tests
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: syrthes (>= 4.1.1~)
Description: Test cases for SYRTHES
 SYRTHES is a general purpose thermal software developed at EDF R&D which
 models conduction and radiation heat transfers in complex geometries.
 .
 This package contains test cases for SYRTHES.
