## syrthes 4.3.0

=== src/Makefile ===
include Makefile.in

ifeq ($(DEBUG),yes)
	DBG= DEBUG=yes
endif

default:
	more Makefile.help

all:
	@make syrthesseq
	@make syrthesmpi
	@make syrthescfd
	@make ppfunc
	@make pp
	@make post
	@make syrthestools

syrthes:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-kernel/src realclean
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-kernel/src

	$(MAKE) $(DBG)MPI=no  -I $(MAKEINC) -C ./syrthes-kernel/src realclean
	$(MAKE) $(DBG) CFD=yes -I $(MAKEINC) -C ./syrthes-kernel/src

syrthesmpi:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-kernel/src clean
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-kernel/src

syrthesseq:
	$(MAKE) $(DBG) MPI=no  -I $(MAKEINC) -C ./syrthes-kernel/src clean
	$(MAKE) $(DBG) MPI=no  -I $(MAKEINC) -C ./syrthes-kernel/src

syrthescfd:
	$(MAKE) $(DBG) CFD=yes -I $(MAKEINC) -C ./syrthes-kernel/src clean
	$(MAKE) $(DBG) CFD=yes -I $(MAKEINC) -C ./syrthes-kernel/src

ppfunc:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-ppfunc/src clean	
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-ppfunc/src	

pp:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-pp/src clean		
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-pp/src

syrthesconvert:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-tools/convert2syrthes4/src clean
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-tools/convert2syrthes4/src

syrthesensight:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-tools/syrthes4ensight/src clean
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-tools/syrthes4ensight/src

syrthesmed:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-tools/syrthes4med30/src clean
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-tools/syrthes4med30/src


post:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-post/src clean	
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-post/src

allclean:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-pp/src clean
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-ppfunc/src clean
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-post/src clean
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-kernel/src clean
	$(MAKE) $(DBG) MPI=no  -I $(MAKEINC) -C ./syrthes-kernel/src clean
	$(MAKE) $(DBG) CFD=yes -I $(MAKEINC) -C ./syrthes-kernel/src clean
	$(MAKE) -I $(MAKEINC) -C $(SYRTHES4_HOME)./syrthes-tools/syrthes4ensight/src clean
	$(MAKE) -I $(MAKEINC) -C $(SYRTHES4_HOME)./syrthes-tools/convert2syrthes4/src clean

syrthesclean:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-kernel/src realclean
	$(MAKE) $(DBG) MPI=no  -I $(MAKEINC) -C ./syrthes-kernel/src realclean
	$(MAKE) $(DBG) CFD=yes -I $(MAKEINC) -C ./syrthes-kernel/src realclean

ppfuncclean:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-ppfunc/src clean 

ppclean:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-pp/src clean	

postclean:
	$(MAKE) $(DBG) -I $(MAKEINC) -C ./syrthes-post/src clean
