=== src/syrthes-post/src/Makefile ===
SHELL = /bin/sh

include ../../Makefile.in


#-------------------------------------------------------------------
VPATH = $(INC_POSTSYR)

BUILD=$(SYRTHES4_HOME)/build/
#$(shell mkdir -p $(BUILD))


OBJ=$(patsubst %.c, $(BUILD)/%.o, $(wildcard *.c))


a.out: $(OBJ)
	$(FRONT_CC) -o $(POSTSYR) $(COPTIM) $(LDFLAG) $(BUILD)/*.o  -lm
#	rm -rf $(BUILD)



$(BUILD)/%.o : %.c
	$(FRONT_CC) -c $(COPTIM)  $(CFLAG) $(INC_POSTSYR)  $<  -o $@

clean:
	rm -rf $(BUILD)/*.o

realclean:
	rm -rf $(BUILD)/*.o ; rm -f $(POSTSYR)
