=== src/syrthes-tools/convert2syrthes4/src/Makefile ===
#SHELL = /bin/sh



#-------------------------------------------------------------------
include ../../../Makefile.in

VPATH = ../include

BUILD=../../../../build/
$(shell mkdir -p $(BUILD))

OBJ=$(patsubst %.c, $(BUILD)/%.o, $(wildcard *.c))

ifeq ($(MED),yes)
        CFLAG += -DMED
        LIBS += $(LIBMED)
	INC += $(INC_MED)
	MESS="Compilation with MED"
else
	MESS="Compilation without MED"
endif

exe: $(OBJ)
	$(FRONT_CC) -o $(CONVERTSYR) $(COPTIM) $(LDFLAG) $(BUILD)/*.o  $(LIBS) -lm

$(BUILD)/%.o : %.c
	$(FRONT_CC) -c $(COPTIM) $(CFLAG) $(INC) $? -o $@

clean:
	rm -rf $(BUILD)/*.o

realclean:
	rm -rf $(BUILD) ; rm -f $(CONVERTSYR)
