=== src/syrthes-tools/syrthes4ensight/src/Makefile ===
SHELL = /bin/sh

include ../../../Makefile.in

#------------------------------
VPATH = ../include

BUILD=../../../../build/
$(shell mkdir -p $(BUILD))


OBJ=$(patsubst %.c, $(BUILD)/%.o, $(wildcard *.c))


a.out: $(OBJ)
	$(FRONT_CC) -o $(SYRENSIGHT) $(COPTIM) $(LDFLAG) $(BUILD)/*.o  $(LIBENSIGHT)
#	rm -rf $(BUILD)



$(BUILD)/%.o : %.c
	$(FRONT_CC) -c $(COPTIM) $(CFLAG)  $< -o $@


clean:
	rm -rf $(BUILD)/*.o

realclean:
	rm -rf $(BUILD) ; rm -f $(SYRENSIGHT)
