## syrthes 4.3.0-dfsg1

=== debian/changelog ===
syrthes (4.3.0-dfsg1-5) unstable; urgency=medium

  * Port to python3 (closes: #938616)
    New patches: python3.patch, python3-conf.patch, python3-syrthes.patch
    Thanks to Stuart Prescott for most of the work
  * Run tests during the build
  * New patch fix-tests.patch: fix a couple of hard coded paths

 -- Gilles Filippini <pini@debian.org>  Sun, 02 Feb 2020 18:39:37 +0100

syrthes (4.3.0-dfsg1-4) unstable; urgency=medium

  * Drop package syrthes-gui because of the removal of python-qwt5-qt4
    (closes: #891993)

 -- Gilles Filippini <pini@debian.org>  Tue, 21 Jan 2020 21:27:44 +0100

syrthes (4.3.0-dfsg1-3) unstable; urgency=medium

  * Bump Standards-Version to 4.3.0:
    - Change Priority to optional (from extra)
    - Update Vcs-* fields to point to salsa.d.o
    - d/copyright: use https form of the format-copyright URL
  * Fix Homepage and Source links
  * Build-Depends: dh-python
  * Fix typo in syrthes4_create_case.patch

 -- Gilles Filippini <pini@debian.org>  Sun, 06 Jan 2019 02:09:26 +0100

syrthes (4.3.0-dfsg1-2) unstable; urgency=medium

  * Update patch setup.patch after openmpi went mutiarch (closes:
    #848747)

 -- Gilles Filippini <pini@debian.org>  Tue, 20 Dec 2016 18:29:18 +0100

syrthes (4.3.0-dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches:
    - buildflags.patch
    - setup.patch
  * New patch no-cx-freeze.patch: cx_Freeze isn't available in Debian
    and we wouldn't want to use it anyway.

  * d/rules: enable parallel build.

 -- Gilles Filippini <pini@debian.org>  Tue, 14 Jul 2015 14:24:34 +0200
