=== debian/control ===
Source: syrthes
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gilles Filippini <pini@debian.org>
Build-Depends: debhelper (>= 9~), python3, dh-python, libmedc-dev, libhdf5-mpi-dev, libmetis-dev, libscotch-dev,
 code-saturne-bin (>= 4.0.0) [!s390x], code-saturne-include (>= 4.0.0) [!s390x]
Standards-Version: 4.3.0
Homepage: https://www.edf.fr/en/the-edf-group/world-s-largest-power-company/activities/research-and-development/scientific-communities/simulation-softwares?logiciel=10818
Vcs-Browser: https://salsa.debian.org/science-team/syrthes
Vcs-Git: https://salsa.debian.org/science-team/syrthes.git

Package: syrthes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, gcc, make
Recommends: syrthes-tools
Suggests: syrthes-gui, syrthes-tests, code-saturne
Description: Transient thermal simulations in complex solid geometries
 SYRTHES is a general purpose thermal software developed at EDF R&D which
 models conduction and radiation heat transfers in complex geometries.
 .
 SYRTHES can be used coupled with the computational fluid dynamics (CFD)
 Code_Saturne.

Package: syrthes-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, syrthes (>= 4.1.1~)
Description: Transient thermal simulations in complex solid geometries - tools
 SYRTHES is a general purpose thermal software developed at EDF R&D which
 models conduction and radiation heat transfers in complex geometries.
 .
 This package contains SYRTHES pre and post-processors, and tools for
 creating new SYRTHES cases, converting mesh files to SYRTHES, or converting
 SYRTHES files to MED or Ensight formats.

Package: syrthes-tests
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3
Recommends: syrthes (>= 4.1.1~)
Description: Test cases for SYRTHES
 SYRTHES is a general purpose thermal software developed at EDF R&D which
 models conduction and radiation heat transfers in complex geometries.
 .
 This package contains test cases for SYRTHES.
