=== debian/rules ===
--- 
+++ 
@@ -28,8 +28,12 @@
 SYRTHES_HOME=usr/lib/syrthes
 INSTALL_DIR=$(CURDIR)/debian/syrthes
 
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+endif	
+
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_auto_configure:
 	sed -i.orig src/syrthes-install/setup.ini \
@@ -37,6 +41,10 @@
 		-e 's/@MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
 		-e 's:@HDF5_DIR@:$(HDF5_DIR):g' \
 		-e 's:@CFD@:$(CFD):g'
+ifneq (,$(NUMJOBS))
+	sed -i src/syrthes-install/setup.ini \
+		-e 's/^#specific_makej.*/specific_makej= -j$(NUMJOBS)/'
+endif
 
 override_dh_auto_build:
 	cd src/syrthes-gui/src && ./Install.sh
@@ -45,21 +53,43 @@
 	if [ -s "$(ERRLOG)" ]; then \
 	  cat "$(ERRLOG)" && false; \
 	fi
+	# Fixes to allow running tests from the build directory
+	sed -Ei 's/^(SYRTHES4_HOME)=(.*)$$/\1=$${\1:-\2}/' arch/Debian/bin/syrthes.profile
+	sed -Ei 's/^(BUILD_SYRTHES)=.*$$/\1=$$(SYRTHES4_HOME)/' arch/Debian/share/syrthes/Makefile.in
+	sed -i 's:$(CURDIR)/arch/Debian:/usr/lib/syrthes:;s/-I -I/-I/;s/-L -L/-L/' \
+		arch/Debian/bin/syrthes.profile \
+		arch/Debian/share/syrthes/Makefile.in
 
 override_dh_auto_clean:
 	[ ! -f src/syrthes-install/setup.ini.orig ] || \
 	  mv src/syrthes-install/setup.ini.orig src/syrthes-install/setup.ini
+	rm -fr arch
 
 override_dh_auto_install:
 	mv src/syrthes-gui/src/install arch/Debian/syrthes-gui
-	sed -i 's:$(CURDIR)/arch/Debian:/usr/lib/syrthes:;s/-I -I/-I/;s/-L -L/-L/' \
-		arch/Debian/bin/syrthes.profile \
-		arch/Debian/share/syrthes/Makefile.in
-	# Fix unwanted exec flags into syrthes-gui tree
-	# (not catched by dh_fixperms)
+	# Fix unwanted exec flags (not catched by dh_fixperms)
 	chmod -R a-x arch/Debian/syrthes-gui/*
 	chmod -R a+X arch/Debian/syrthes-gui/*
+	chmod -R a-x arch/Debian/share/syrthes/tests/*
+	chmod -R a+X arch/Debian/share/syrthes/tests/*
+	chmod a+x arch/Debian/share/syrthes/tests/*/syrthes/syrthes.py
+	chmod a-x arch/Debian/share/syrthes/*.c
+	chmod a-x arch/Debian/include/*
+	# Remove extra license file
+	rm arch/Debian/syrthes-gui/22x22/license
 
-override_dh_python2:
-	dh_python2 -N syrthes-tests
-	dh_python2 -p syrthes-tests usr/share/syrthes/tests
+define syrthes_test
+	cd $(1) && \
+	SYRTHES4_HOME=$(CURDIR)/arch/Debian PATH=$$PATH:$(CURDIR)/arch/Debian/bin ./syrthes.py -d *.syd | tee syrthes.trace && \
+	grep -q '\*\*\*\*\* Successful execution \*\*\*\*\*' syrthes.trace
+
+endef
+# The empty line above is important
+
+override_dh_auto_test:
+	mkdir -p debian/tmp
+	cp -a src/tests debian/tmp/
+	$(foreach testcase,$(wildcard src/tests/*/syrthes),$(call syrthes_test,$(subst src/tests/,debian/tmp/tests/,$(testcase))))
+
+override_dh_python3:
+	dh_python3 -N syrthes-tests --shebang=/usr/bin/python3
