## syrthes 4.3.5+20200129

=== src/data/Makefile ===
SHELL = /bin/sh

#*****************************************************
#***     Makefile pour la gneration 
#***     d'un executable pour SYRTHES
#*****************************************************

include $(SYRTHES4_HOME)/share/syrthes/Makefile.in


OBJ=$(patsubst %.c, %.o, $(wildcard *.c))


exe : $(OBJ)
	ar xv $(LIB_SYRTHES) mainsyrthes.o
	$(CC) -o syrthes   $(COPTIM) $(CFLAG) -D_FILE_OFFSET_BITS=64 \
	$(INC_SYRTHES_LIBMAT) $(INC_SYRTHES)  $(INC) $(LDFLAG) *.o \
	$(LIB_SYRTHES) -lm  $(LIB) $(LIB_PLE) 

	@rm *.o

%.o : %.c
	$(CC)  -c  $(COPTIM) $(CFLAG) -D_FILE_OFFSET_BITS=64 $(INC_SYRTHES_LIBMAT) $(INC_SYRTHES)  $(INC) $? -o $@
