=== src/syrthes-kernel/mylibmat_src/Makefile ===
SHELL = /bin/sh

#*****************************************************
#***     mylibmat_src/Makefile 
#*** compilation complementaire pour la lib materiau
#*****************************************************

include $(SYRTHES4_HOME)/share/syrthes/Makefile.in

OBJ=$(patsubst %.c, %.o, $(wildcard *.c))

all: $(OBJ)

%.o: %.c
	$(CC)  -c  $(COPTIM) $(CFLAG) -D_FILE_OFFSET_BITS=64  -I../mylibmat_include $^ -o  $@
