=== src/syrthes-kernel/src/Makefile ===
--- 
+++ 
@@ -14,6 +14,8 @@
 
 lib : $(OBJ)
 	$(CC) -c  $(CFLAG) $(INC_SYRTHES) $(INC_SYRTHES_LIBMAT) $(INC) lire_data.c -o $(BUILD)/lire_data.o
+	$(CC) -c  $(CFLAG) $(INC_SYRTHES) $(INC_SYRTHES_LIBMAT) $(INC) hmt_limite.c -o $(BUILD)/hmt_limite.o
+	$(CC) -c  $(CFLAG) $(INC_SYRTHES) $(INC_SYRTHES_LIBMAT) $(INC) limite.c -o $(BUILD)/limite.o
 	ar rv $(LIB_SYRTHES) $(BUILD)/*.o
 #	rm -rf $(BUILD)
