=== src/syrthes-pp/src/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 VPATH = $(INC_PPSYR)
 
 BUILD=$(SYRTHES4_HOME)/build/
-#$(shell mkdir -p $(BUILD))
+$(shell mkdir -p $(BUILD))
 
 
 OBJ=$(patsubst %.c, $(BUILD)/%.o, $(wildcard *.c))
@@ -21,7 +21,7 @@
 
 
 a.out: $(OBJ)
-	$(FRONT_CC) -o $(PPSYR) $(COPTIM) $(LDFLAG) $(BUILD)/*.o  $(LIBMETIS) $(LIBSCOTCH) -lm
+	$(FRONT_CC) -o $(PPSYR) $(COPTIM) $(LDFLAG) $(BUILD)/*.o  $(LIBMETIS) $(LIBSCOTCH) -lm -lpthread
 #	rm -rf $(BUILD)
