=== src/syrthes-ppfunc/src/Makefile ===
SHELL = /bin/sh

include ../../Makefile.in

#-------------------------------------------------------------------
VPATH = $(INC_PPFUNCSYR)

BUILD=$(SYRTHES4_HOME)/build/
#$(shell mkdir -p $(BUILD))


OBJ=$(patsubst %.c, $(BUILD)/%.o, $(wildcard *.c))

a.out: $(OBJ)
	$(FRONT_CC) -o $(PPFUNCSYR) $(COPTIM) $(LDFLAG) $(BUILD)/*.o -lm
#	rm -rf $(BUILD)



$(BUILD)/%.o : %.c
	$(FRONT_CC) -c $(COPTIM) $(CFLAG) $(INC_PPFUNCSYR)  $<  -o $@

clean:
	rm -rf $(BUILD)/*.o

realclean:
	rm -rf $(BUILD) ; rm -f $(PPFUNCSYR)
