## syrthes 4.3.5+20200129-dfsg1

=== debian/changelog ===
syrthes (4.3.5+20200129-dfsg1-1) unstable; urgency=medium

  * Fix FTBFS with GCC-10 (closes: #957857)
  * d/copyright: Fix missing LGPL license statement (closes: #955176)
  * Compat level 12

  * Upload to unstable

 -- Gilles Filippini <pini@debian.org>  Tue, 21 Apr 2020 13:30:25 +0200

syrthes (4.3.5+20200129-dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release from code-saturne.org site with support for
    python5 an pyqt5
  * Build again the syrthes-gui package

 -- Gilles Filippini <pini@debian.org>  Sat, 21 Mar 2020 13:45:20 +0100
