=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gilles Filippini <pini@debian.org>
-Build-Depends: debhelper (>= 9~), python3, dh-python, libmedc-dev, libhdf5-mpi-dev, libmetis-dev, libscotch-dev,
- code-saturne-bin (>= 4.0.0) [!s390x], code-saturne-include (>= 4.0.0) [!s390x]
+Build-Depends: debhelper (>= 12~), python3, dh-python, libmedc-dev, libhdf5-mpi-dev, libmetis-dev, libscotch-dev,
+ code-saturne-bin (>= 6.0.0) [!s390x], code-saturne-include (>= 6.0.0) [!s390x],
+ pyqt5-dev-tools,
+ python3-pyqt5.qtchart
 Standards-Version: 4.3.0
 Homepage: https://www.edf.fr/en/the-edf-group/world-s-largest-power-company/activities/research-and-development/scientific-communities/simulation-softwares?logiciel=10818
 Vcs-Browser: https://salsa.debian.org/science-team/syrthes
@@ -24,7 +26,7 @@
 
 Package: syrthes-tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, syrthes (>= 4.1.1~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, syrthes (>= 4.3.5~)
 Description: Transient thermal simulations in complex solid geometries - tools
  SYRTHES is a general purpose thermal software developed at EDF R&D which
  models conduction and radiation heat transfers in complex geometries.
@@ -33,10 +35,23 @@
  creating new SYRTHES cases, converting mesh files to SYRTHES, or converting
  SYRTHES files to MED or Ensight formats.
 
+Package: syrthes-gui
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends},
+ python3-pyqt5,
+ python3-pyqt5.qtchart,
+ python3-numpy,
+ syrthes (>= 4.3.5~)
+Description: Transient thermal simulations in complex solid geometries - GUI
+ SYRTHES is a general purpose thermal software developed at EDF R&D which
+ models conduction and radiation heat transfers in complex geometries.
+ .
+ This package contains a graphical user interface for SYRTHES.
+
 Package: syrthes-tests
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3
-Recommends: syrthes (>= 4.1.1~)
+Recommends: syrthes (>= 4.3.5~)
 Description: Test cases for SYRTHES
  SYRTHES is a general purpose thermal software developed at EDF R&D which
  models conduction and radiation heat transfers in complex geometries.
