=== debian/rules ===
--- 
+++ 
@@ -64,6 +64,7 @@
 	[ ! -f src/syrthes-install/setup.ini.orig ] || \
 	  mv src/syrthes-install/setup.ini.orig src/syrthes-install/setup.ini
 	rm -fr arch
+	rm -f src/*.log $(ERRLOG)
 
 override_dh_auto_install:
 	mv src/syrthes-gui/src/install arch/Debian/syrthes-gui
