=== debian/watch ===
version=4
opts="uversionmangle=s/^(.*)-([0-9]+)_([0-9]+)_([0-9]+)$/$1+$2$3$4/, dversionmangle=s/\+dfsg.*$//" \
  https://www.code-saturne.org/cms/download/prerequisites \
  .*/files/@PACKAGE@/@PACKAGE@(\d[\-+_\.:\~\da-zA-Z]*)@ARCHIVE_EXT@ \
  debian debian/orig-tar.sh
